%define name italc
%define libname %mklibname italc
%define version 1.0.11
%define release %mkrel 1

Name:		%name
Version:	%version
Release:	%release
Summary:	Intelligent Teaching And Learning with Computers
License:	GPLv2+
Group:		Networking/Remote access
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://italc.sourceforge.net/
Source:		http://sourceforge.net/projects/italc/files/italc/%{version}/%{name}-%{version}.tar.xz
Patch0:		italc-1.0.11-detect-qt-libdir.patch
Patch4:		italc-1.0.11-fix-str-fmt.patch
BuildRequires:	qt4-devel
BuildRequires:  zlib-devel
BuildRequires:  jpeg-devel
BuildRequires:  qt4-linguist
BuildRequires:  libxtst-devel
BuildRequires:  openssl-devel

%description
iTALC is a use- and powerful didactical tool for teachers. It lets you
view and control other computers in your network in several ways. It
supports Linux and Windows 2000/XP/Vista and it even can be used
transparently in mixed environments!

iTALC has been designed for usage in school. Therefore it offers a lot
of possibilities to teachers, such as
    * see what's going on in computer-labs by using overview mode and
      make snapshots
    * remote-control computers to support and help other people
    * show a demo (either in fullscreen or in a window) - the teacher's
      screen is shown on all student's computers in realtime
    * lock workstations for moving undivided attention to teacher
    * send text-messages to students
    * powering on/off and rebooting computers per remote
    * remote logon and logoff and remote execution of arbitrary
      commands/scripts
    * home-schooling - iTALC's network-technology is not restricted to
      a subnet and therefore students at home can join lessons via
      VPN-connections just by installing iTALC client

Furthermore iTALC is optimized for usage on multi-core systems (by
making heavy use of threads). No matter how many cores you have, iTALC
can make use of all of them. 

This package does not work out of the box and requires manual configuration.
Please check their website for more info. 

http://italc.sourceforge.net/

%package client
Summary:	ITALC client
Group:		Networking/Remote access

%description client
iTALC is a use- and powerful didactical tool for teachers. It lets you
view and control other computers in your network in several ways. It
supports Linux and Windows 2000/XP/Vista and it even can be used
transparently in mixed environments!

iTALC has been designed for usage in school. Therefore it offers a lot
of possibilities to teachers, such as
    * see what's going on in computer-labs by using overview mode and
      make snapshots
    * remote-control computers to support and help other people
    * show a demo (either in fullscreen or in a window) - the teacher's
      screen is shown on all student's computers in realtime
    * lock workstations for moving undivided attention to teacher
    * send text-messages to students
    * powering on/off and rebooting computers per remote
    * remote logon and logoff and remote execution of arbitrary
      commands/scripts
    * home-schooling - iTALC's network-technology is not restricted to
      a subnet and therefore students at home can join lessons via
      VPN-connections just by installing iTALC client

Furthermore iTALC is optimized for usage on multi-core systems (by
making heavy use of threads). No matter how many cores you have, iTALC
can make use of all of them.

This package is the client that is run on each client on the network.

This package does not work out of the box and requires manual configuration.
Please check their website for more info. 

http://italc.sourceforge.net/

%package master
Summary:	Intelligent Teaching And Learning with Computers
Group:		Networking/Remote access
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name}-client = %{version}
Requires(post):	%{name}-client = %{version}

%description master
iTALC is a use- and powerful didactical tool for teachers. It lets you
view and control other computers in your network in several ways. It
supports Linux and Windows 2000/XP/Vista and it even can be used
transparently in mixed environments!

iTALC has been designed for usage in school. Therefore it offers a lot
of possibilities to teachers, such as
    * see what's going on in computer-labs by using overview mode and
      make snapshots
    * remote-control computers to support and help other people
    * show a demo (either in fullscreen or in a window) - the teacher's
      screen is shown on all student's computers in realtime
    * lock workstations for moving undivided attention to teacher
    * send text-messages to students
    * powering on/off and rebooting computers per remote
    * remote logon and logoff and remote execution of arbitrary
      commands/scripts
    * home-schooling - iTALC's network-technology is not restricted to
      a subnet and therefore students at home can join lessons via
      VPN-connections just by installing iTALC client

Furthermore iTALC is optimized for usage on multi-core systems (by
making heavy use of threads). No matter how many cores you have, iTALC
can make use of all of them.

This package does not work out of the box and requires manual configuration.
Please check their website for more info. 

http://italc.sourceforge.net/

%post master
if [ ! -d /etc/italc/keys ] ; then
	ica -role teacher -createkeypair ;
fi

%package -n %libname
Summary:	Library used by ITALC
Group:		Networking/Remote access

%description -n %libname
iTALC is a use- and powerful didactical tool for teachers. It lets you
view and control other computers in your network in several ways. It
supports Linux and Windows 2000/XP/Vista and it even can be used
transparently in mixed environments!

This is a library used by %{name}-master and %{name}-client.

This package does not work out of the box and requires manual configuration.
Please check their website for more info. 

http://italc.sourceforge.net/

%prep
%setup -q
%patch0 -p0
%patch4 -p0

%build
autoreconf -fi
%configure2_5x --disable-static
%make
%{__chmod} -x AUTHORS COPYING ChangeLog INSTALL README TODO

%install
rm -fr %buildroot
%makeinstall_std docdir=/tmp/doc
%{__rm} -Rf %{buildroot}/tmp/doc

%files client
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/ica
%{_mandir}/man1/ica.1.*

%files master
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*
%{_datadir}/icons/%{name}.png
%{_datadir}/menu/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop

%files -n %libname
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_libdir}/%name


%changelog
* Mon Dec 06 2010 Texstar <texstar at gmail.com> 1.0.11-1pclos2010
- 1.0.11

* Sun Dec 06 2009 Texstar <texstar at gmail.com> 1.0.9-1pclos2010
- import from mdv

